scale = 12
require "game"
require "menu"
require "console"
function love.load()
	state = {
		menu = 0,
		game = 1
	}
	gamestate = state.menu
	
	--IMAGES
	--game
	bg = love.graphics.newImage("img/bg.png")
	blip = love.graphics.newImage("img/blip.png")
	grid = love.graphics.newImage("img/grid.png")
	--menu
	menubg = love.graphics.newImage("img/menubg.png")
	optbg = love.graphics.newImage("img/menubg_o.png")
	bs = love.graphics.newImage("img/start.png")
	bo = love.graphics.newImage("img/options.png")
	be = love.graphics.newImage("img/exit.png")
	bb =love.graphics.newImage("img/back.png")

	menu.load()
	--Tile stuff
	
	f = love.graphics.newFont(67)--67

	m = love.filesystem.enumerate("maps")
	mc = #m -- Mao count
	
	map = {}
	for i=1, mc do
		map[i] = love.image.newImageData("maps/"..i..".png")
	end
	curMap = 1
	readmap(map[curMap])
	resetSnake()
	love.timer.step()
end

function love.update(dt)
	if gamestate == state.game then
		game.update(dt)
	elseif gamestate == state.menu then
		menu.update(dt)
	end
end

function love.draw()
	if gamestate == state.game then
		game.draw()
	elseif gamestate == state.menu then
		menu.draw()
	end
	console:draw()
end

function love.mousepressed(x, y, k)
	if gamestate == state.menu then
		menu.mousepressed(x, y, k)
	end
end

function love.keypressed(key, unicode)
	console:keypressed(key, unicode)
	if gamestate == state.game then
		game.keypressed(key, unicode)
	elseif gamestate == state.menu then
		menu.keypressed(key, unicode)
		if key == "escape" then
			love.event.push("quit")
		end
	end
end