menu = {}

function menu.load()
	but = {
		start = {x = 379, y = 384, w = bs:getWidth(), h = bs:getHeight(), a = 25},
		opt = {x = 366, y = 466, w = bo:getWidth(), h = bo:getHeight(), a = 25},
		ext = {x = 425, y = 529, w = be:getWidth(), h = be:getHeight(), a = 25},
		back = {x = 348, y = 564, w = bb:getWidth(), h = bb:getHeight(), a = 25}
		}
	fs = 800 --fadespeed
	menu_screen = "main"
end

function menu.update(dt)
	local x, y = love.mouse.getPosition()
	if menu_screen == "main" then
		if x > but.start.x and x < but.start.x + but.start.w and y > but.start.y and y < but.start.y + but.start.h then
			if but.start.a <= 240 then
				but.start.a = but.start.a + fs * dt
			end
		else
			if but.start.a >= 25 then
				but.start.a = but.start.a - fs * dt
			end
		end

		if x > but.opt.x and x < but.opt.x + but.opt.w and y > but.opt.y and y < but.opt.y + but.opt.h then
				if but.opt.a <= 240 then
				but.opt.a = but.opt.a + fs * dt
			end
		else
			if but.opt.a >= 25 then
				but.opt.a = but.opt.a - fs * dt
			end
		end

		if x > but.ext.x and x < but.ext.x + but.ext.w and y > but.ext.y and y < but.ext.y + but.ext.h then
			if but.ext.a <= 240 then
				but.ext.a = but.ext.a + fs * dt
			end
		else
			if but.ext.a >= 25 then
				but.ext.a = but.ext.a - fs * dt
			end
		end
	elseif menu_screen == "options" then
		if x > but.back.x and x < but.back.x + but.back.w and y > but.back.y and y < but.back.y + but.back.h then
			if but.back.a <= 240 then
				but.back.a = but.back.a + fs * dt
			end
		else
			if but.back.a >= 25 then
				but.back.a = but.back.a - fs * dt
			end
		end
	end
end

function menu.draw()
	if menu_screen == "main" then
		love.graphics.setColor(255, 255, 255, 255)
		love.graphics.draw(menubg)
		
		love.graphics.setColor(255, 255, 255, but.start.a)
		love.graphics.draw(bs, but.start.x, but.start.y)
		
		love.graphics.setColor(255, 255, 255, but.opt.a)
		love.graphics.draw(bo, but.opt.x, but.opt.y)
		
		love.graphics.setColor(255, 255, 255, but.ext.a)
		love.graphics.draw(be, but.ext.x, but.ext.y)
	elseif menu_screen == "options" then
		love.graphics.setColor(255, 255, 255, 255)
		love.graphics.draw(optbg)
		--love.graphics.print("x: "..but.back.x.." y: "..but.back.y, 12, 12)
		
		love.graphics.setColor(255, 255, 255, but.back.a)
		love.graphics.draw(bb, but.back.x, but.back.y)
	end
end

function menu.mousepressed(x, y, k)
	if menu_screen == "main" then
		if x > but.start.x and x < but.start.x + but.start.w and y > but.start.y and y < but.start.y + but.start.h then
			gamestate = state.game
			love.mouse.setVisible(false)
		elseif x > but.opt.x and x < but.opt.x + but.opt.w and y > but.opt.y and y < but.opt.y + but.opt.h then
			menu_screen = "options"
		elseif x > but.ext.x and x < but.ext.x + but.ext.w and y > but.ext.y and y < but.ext.y + but.ext.h then
			love.event.push("quit")
		end
	elseif menu_screen == "options" then
		if x > but.back.x and x < but.back.x + but.back.w and y > but.back.y and y < but.back.y + but.back.h then
			but.start.a = 25
			but.ext.a = 25
			but.opt.a = 25
			menu_screen = "main"
		end
	end
end

function menu.keypressed(key, unicode)

end